NiceSEO’s VKontakte Crossposter

Бесплатный плагин для Wordpress для автоматического кросспостинга в паблик ВКонтакте

Почему в январе 2014 сломались все плагины постинга в твиттер с картинкой

twitter-update-with-media-failed-by-14-01-2014

Привет. Мне поступило много жалоб на то, что мой замечательнеый плагин кросспостинга в твиттер NiceSEO Twitter CrossPoster перестал работать. Я разобрался почему. Данный функционал больше недоступен впринципе в подобных плагинах. Подробности далее.

Если кратко, то всё обьясняет вот эта фраза разработчиков твиттера:

0649

 

То есть, с 14 января 2014 метод POST statuses/update_with_media в твиттер АПИ работает только, если у вас для домена куплен SSL-сертификат.

То есть все плагины: мой NiceSeo Twitter CrossPoster, WP to Twitter, и прочие, причем не только для WP, теперь не работают. Но, если вы купите ssl-сертификат для своего домена (в админке вашего хостинга, около 2000р в год) то теоретически должны заработать, нужно только у меня в скрипте изменить use_ssl = 0; на use_ssl = 1;

Так что у кого есть сертификат и не работает — пишите, но должно работать, т.к. ни синтаксис, ниче, не поменялось, просто теперь требуется SSL-соединение.

Статью подготовил linur, Специально для NiceSEO.ru, 20 февраля 2014 года. При копировании не забывайте о ссылке на источник.
Я также состою в:
Лучшая веб-студия!
Яндекс.Метрика
© 2011-2018 NiceSeo.ru